Package org.apache.commons.imaging.formats.tiff

# Class TiffImageMetadata.GpsInfo

java.lang.Object
org.apache.commons.imaging.formats.tiff.TiffImageMetadata.GpsInfo

Enclosing class:
  `TiffImageMetadata`

public static class TiffImageMetadata.GpsInfo extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final RationalNumber`
  `latitudeDegrees`
  `final RationalNumber`
  `latitudeMinutes`
  `final String`
  `latitudeRef`
  `final RationalNumber`
  `latitudeSeconds`
  `final RationalNumber`
  `longitudeDegrees`
  `final RationalNumber`
  `longitudeMinutes`
  `final String`
  `longitudeRef`
  `final RationalNumber`
  `longitudeSeconds`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GpsInfo(String latitudeRef, String longitudeRef, RationalNumber latitudeDegrees, RationalNumber latitudeMinutes, RationalNumber latitudeSeconds, RationalNumber longitudeDegrees, RationalNumber longitudeMinutes, RationalNumber longitudeSeconds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getLatitudeAsDegreesNorth()`
  `double`
  `getLongitudeAsDegreesEast()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### latitudeRef

    public final String latitudeRef

  - ### longitudeRef

    public final String longitudeRef

  - ### latitudeDegrees

    public final RationalNumber latitudeDegrees

  - ### latitudeMinutes

    public final RationalNumber latitudeMinutes

  - ### latitudeSeconds

    public final RationalNumber latitudeSeconds

  - ### longitudeDegrees

    public final RationalNumber longitudeDegrees

  - ### longitudeMinutes

    public final RationalNumber longitudeMinutes

  - ### longitudeSeconds

    public final RationalNumber longitudeSeconds

- ## Constructor Details

  - ### GpsInfo

    public GpsInfo(String latitudeRef, String longitudeRef, RationalNumber latitudeDegrees, RationalNumber latitudeMinutes, RationalNumber latitudeSeconds, RationalNumber longitudeDegrees, RationalNumber longitudeMinutes, RationalNumber longitudeSeconds)

- ## Method Details

  - ### getLatitudeAsDegreesNorth

    public double getLatitudeAsDegreesNorth() throws ImagingException
    Throws:
      `ImagingException`

  - ### getLongitudeAsDegreesEast

    public double getLongitudeAsDegreesEast() throws ImagingException
    Throws:
      `ImagingException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`